diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index afafe37..1d97dce 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -31875,7 +31875,7 @@ GaloisGroupFactorizer(UP): Exports == Implementation where
               lc := leadingCoefficient f
               f0 := coefficient(f,0)
               -- is g irreducible?
-              dg := select(#1<=degg,d)
+              dg := select(x+->x <= degg,d)
               if not(dg=set [0,degg]) then -- implies degg >= 2
                 rg := max(2,r+level-levels)::N
                 b := (2*leadingCoefficient(g)*singleFactorBound(g,rg)) :: P
@@ -31897,7 +31897,7 @@ GaloisGroupFactorizer(UP): Exports == Implementation where
               ltrue := append(ltrue,lg)
               r := max(2,(r-#lg))::N
               degf := degree f
-              d := select(#1<=degf,d)
+              d := select(x+->x <= degf,d)
               if degf<=1 then -- lf exhausted
 --                if one? degf then
                 if (degf = 1) then
@@ -31983,7 +31983,7 @@ GaloisGroupFactorizer(UP): Exports == Implementation where
           dgh := (degree g)*dh
           df := subtractIfCan(df,dgh)::N
           lfg := btwFactor(g(lrf.right),
-           select(#1<=dgh,d),max(2,r-df)::N,false)
+           select(x+->x <= dgh,d),max(2,r-df)::N,false)
           lf := append(lf,lfg)
           r := max(2,r-#lfg)::N
       if reverse? then lf := [ reverse(fact) for fact in lf ]
@@ -32060,7 +32060,7 @@ GaloisGroupFactorizer(UP): Exports == Implementation where
 
       -- is f cyclotomic (x**n - 1)?
       -lcPol = reductum(f) =>    -- if true, both will = 1
-        for fac in map(unmakeSUP(#1)$UP,
+        for fac in map(z+->unmakeSUP(z)$UP,
          cyclotomicDecomposition(d)$CYC)$ListFunctions2(SUPZ,UP) repeat 
           factorlist := cons([fac,1]$ParFact,factorlist)
         [c,factorlist]$FinalFact
@@ -32120,7 +32120,7 @@ GaloisGroupFactorizer(UP): Exports == Implementation where
         factorlist := [[monomial(1,1),maxd]$ParFact]
         r := max(2,r-maxd)::N
         d := subtractIfCan(d,maxd)::N
-        fd := select(#1<=d,fd)
+        fd := select(x+->x <= d,fd)
 
       -- is f constant?
       zero? d => [c,factorlist]$FinalFact
@@ -32133,7 +32133,7 @@ GaloisGroupFactorizer(UP): Exports == Implementation where
 
       -- is f cyclotomic (x**n - 1)?
       -lcPol = reductum(f) =>    -- if true, both will = 1
-        for fac in map(unmakeSUP(#1)$UP,
+        for fac in map(z+->unmakeSUP(z)$UP,
          cyclotomicDecomposition(d)$CYC)$ListFunctions2(SUPZ,UP) repeat 
           factorlist := cons([fac,1]$ParFact,factorlist)
         [c,factorlist]$FinalFact
@@ -32173,16 +32173,16 @@ GaloisGroupFactorizer(UP): Exports == Implementation where
         (d = 1) => 
           factorlist := cons([sqff,mult]$ParFact,factorlist)
           maxd := (max(fd)-mult)::N
-          fd := select(#1<=maxd,fd)
+          fd := select(x+->x <= maxd,fd)
         d=2 =>
           factorlist := append([[pf,mult]$ParFact for pf in quadratic(sqff)],
            factorlist)
           maxd := (max(fd)-2*mult)::N
-          fd := select(#1<=maxd,fd)
+          fd := select(x+->x <= maxd,fd)
         factorlist := append([[pf,mult]$ParFact for pf in 
-         btwFactor(sqff,select(#1<=d,fd),r,true)],factorlist)
+         btwFactor(sqff,select(x+->x <= d,fd),r,true)],factorlist)
         maxd := (max(fd)-d*mult)::N
-        fd := select(#1<=maxd,fd)
+        fd := select(x+->x <= maxd,fd)
       [c,factorlist]$FinalFact
 
     factor(f:UP):Factored UP ==
diff --git a/changelog b/changelog
index fa4d368..9d2d52e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090601 tpd src/axiom-website/patches.html 20090601.05.tpd.patch
+20090601 tpd books/bookvol10.4 GALFACT +-> conversion
 20090601 tpd src/axiom-website/patches.html 20090601.04.tpd.patch
 20090601 tpd books/bookvol10.4 FSUPFACT +-> conversion
 20090601 tpd src/axiom-website/patches.html 20090601.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6c444d6..d4f4e91 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1411,5 +1411,7 @@ bookvol10.4 FS2EXPXP +-> conversion<br/>
 bookvol10.4 FS2UPS +-> conversion<br/>
 <a href="patches/20090601.04.tpd.patch">20090601.04.tpd.patch</a>
 bookvol10.4 FSUPFACT +-> conversion<br/>
+<a href="patches/20090601.05.tpd.patch">20090601.05.tpd.patch</a>
+bookvol10.4 GALFACT +-> conversion<br/>
  </body>
 </html>
